Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng
Class ContainerEx

    java.lang.Object
      nextapp.echo2.app.Component
          echopointng.ComponentEx
              echopointng.AbleComponent
                  echopointng.ContainerEx

All Implemented Interfaces:
  AccessKeyable, Attributeable, Borderable, Delegateable, Heightable, Insetable, MouseCursorable, Positionable, Scrollable, Sizeable, ToolTipable, Widthable, java.io.Serializable, PaneContainer, RenderIdSupport

    public class ContainerEx

extends AbleComponent
implements PaneContainer, Positionable, Scrollable

`ContainerEx` is a component that can be positioned anywhere on the screen with an specified size attributes. It does this by implementing the `Positionable` interface.

By default, the children of `ContainerEx` are layed out one after the other, left to right and without any other specified processing. Therefore to get more precise layout within the `ContainerEx`, you may want to consider using a Column/Row/Grid as the child of this component or you can associated a `DisplayLayoutData` object with each child component and use that to position the children where you want.

See Also:
  `DisplayLayoutData`, Serialized Form

Field Summary
`static Style` | `DEFAULT_STYLE`

Fields inherited from class echopointng.ComponentEx
`PROPERTY_HIDDEN`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Fields inherited from interface echopointng.able.Positionable
`ABSOLUTE, FIXED, PROPERTY_BOTTOM, PROPERTY_LEFT, PROPERTY_POSITION, PROPERTY_RIGHT, PROPERTY_TOP, PROPERTY_ZINDEX, RELATIVE, STATIC`

Fields inherited from interface echopointng.able.Scrollable
`ALWAYS, AUTO, CLIPHIDE, NEVER, PROPERTY_SCROLL_BAR_BASE_COLOR, PROPERTY_SCROLL_BAR_POLICY, PROPERTY_SCROLL_BAR_PROPERTIES, UNDEFINED`

Fields inherited from interface echopointng.able.Widthable
`PROPERTY_WIDTH`

Fields inherited from interface echopointng.able.Heightable
`PROPERTY_HEIGHT`

Fields inherited from interface echopointng.able.AccessKeyable
`PROPERTY_ACCESS_KEY`

Fields inherited from interface echopointng.able.Borderable
`PROPERTY_BORDER`

Fields inherited from interface echopointng.able.MouseCursorable
`CURSOR_AUTO, CURSOR_CROSSHAIR, CURSOR_CUSTOM_URI, CURSOR_DEFAULT, CURSOR_E_RESIZE, CURSOR_HELP, CURSOR_MOVE, CURSOR_N_RESIZE, CURSOR_NE_RESIZE, CURSOR_NW_RESIZE, CURSOR_POINTER, CURSOR_S_RESIZE, CURSOR_SE_RESIZE, CURSOR_SW_RESIZE, CURSOR_TEXT, CURSOR_W_RESIZE, CURSOR_WAIT, PROPERTY_MOUSE_CURSOR, PROPERTY_MOUSE_CURSOR_URI`

Fields inherited from interface echopointng.able.Insetable
`DEFAULT_INSETS, DEFAULT_OUTSETS, PROPERTY_INSETS, PROPERTY_OUTSETS`

Fields inherited from interface echopointng.able.ToolTipable
`PROPERTY_TOOL_TIP_TEXT`

Constructor Summary
`ContainerEx()` Constructs a `ContainerEx`
`ContainerEx(Component child)` Constructs a `ContainerEx` with the specified component as its first child.

Method Summary
`void` | `clear()` This sets all the positioning attributes (left,top,right,bottom,z-index) to null or zero.
`Extent` | `getBottom()` Returns the bottom Y position of the component
`Extent` | `getLeft()` Returns the left X position of the component
`int` | `getPosition()` This can be one of : POSITIONING_STATIC POSITIONING_RELATIVE POSITIONING_ABSOLUTE POSITIONING_FIXED
`Extent` | `getRight()` Returns the right X position of the component
`Color` | `getScrollBarBaseColor()` Returns the base color of the ScrollBarProperties associated with this `Scrollable`
`int` | `getScrollBarPolicy()` Returns the ScrollBarPolicy in place This can be one of : NONE ALWAYS AUTO CLIPHIDE
`ScrollBarProperties` | `getScrollBarProperties()` Returns the ScrollBarProperties associated with this `Scrollable`
`Extent` | `getTop()` Returns the top Y position of the component
`int` | `getZindex()` Returns the z-index of the component
`boolean` | `isPositioned()` This returns true if any positioning is in place other than normal flow ie.
`void` | `setBottom(Extent newValue)` Sets the bottom Y position of the component
`void` | `setLeft(Extent newValue)` Set the left X position of the component
`void` | `setPosition(int newPositioning)` Sets the position of the component This can be one of : POSITIONING_STATIC POSITIONING_RELATIVE POSITIONING_ABSOLUTE POSITIONING_FIXED
`void` | `setRight(Extent newValue)` Sets the right X position of the component
`void` | `setScrollBarBaseColor(Color newValue)` Sets the base color of the ScrollBarProperties associated with this `Scrollable`.
`void` | `setScrollBarPolicy(int newScrollBarPolicy)` Sets the scroll bar policy of the component This can be one of : SCOLLBARS_NONE SCOLLBARS_ALWAYS SCOLLBARS_AUTO CLIPHIDE
`void` | `setScrollBarProperties(ScrollBarProperties newValue)` Sets the ScrollBarProperties associated with this `Scrollable`
`void` | `setTop(Extent newValue)` Sets the top Y position of the component
`void` | `setZIndex(int newValue)` Sets the z-index of the component

Methods inherited from class echopointng.AbleComponent
`getAccessKey, getBorder, getHeight, getInsets, getMouseCursor, getMouseCursorURI, getOutsets, getToolTipText, getWidth, setAccessKey, setBorder, setHeight, setInsets, setMouseCursor, setMouseCursorURI, setOutsets, setToolTipText, setWidth`

Methods inherited from class echopointng.ComponentEx
`getAttribute, getAttributeNames, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, isHidden, setAttribute, setHidden, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty`

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, init, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isValidChild, isValidParent, isVisible, processInput, remove, remove, removeAll, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setStyle, setStyleName, setVisible, validate, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Widthable
`getWidth, setWidth`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Heightable
`getHeight, setHeight`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Field Detail

### DEFAULT_STYLE

    public static final Style DEFAULT_STYLE

Constructor Detail

### ContainerEx

    public ContainerEx()

  Constructs a `ContainerEx`

### ContainerEx

    public ContainerEx(Component child)

  Constructs a `ContainerEx` with the specified component as its first child.

Method Detail

### clear

    public void clear()

  Description copied from interface: `Positionable`
  This sets all the positioning attributes (left,top,right,bottom,z-index) to null or zero.

  Specified by:
    `clear` in interface `Positionable`
  See Also:
    `Positionable.clear()`

### getBottom

    public Extent getBottom()

  Description copied from interface: `Positionable`
  Returns the bottom Y position of the component

  Specified by:
    `getBottom` in interface `Positionable`
  See Also:
    `Positionable.getBottom()`

### getLeft

    public Extent getLeft()

  Description copied from interface: `Positionable`
  Returns the left X position of the component

  Specified by:
    `getLeft` in interface `Positionable`
  See Also:
    `Positionable.getLeft()`

### getPosition

    public int getPosition()

  Description copied from interface: `Positionable`
  This can be one of :
  - POSITIONING_STATIC
  - POSITIONING_RELATIVE
  - POSITIONING_ABSOLUTE
  - POSITIONING_FIXED

  Specified by:
    `getPosition` in interface `Positionable`
  See Also:
    `Positionable.getPosition()`

### getRight

    public Extent getRight()

  Description copied from interface: `Positionable`
  Returns the right X position of the component

  Specified by:
    `getRight` in interface `Positionable`
  See Also:
    `Positionable.getRight()`

### getTop

    public Extent getTop()

  Description copied from interface: `Positionable`
  Returns the top Y position of the component

  Specified by:
    `getTop` in interface `Positionable`
  See Also:
    `Positionable.getTop()`

### getZindex

    public int getZindex()

  Description copied from interface: `Positionable`
  Returns the z-index of the component

  Specified by:
    `getZindex` in interface `Positionable`
  See Also:
    `Positionable.getZindex()`

### isPositioned

    public boolean isPositioned()

  Description copied from interface: `Positionable`
  This returns true if any positioning is in place other than normal flow ie. STATIC.

  Specified by:
    `isPositioned` in interface `Positionable`
  See Also:
    `Positionable.isPositioned()`

### setBottom

    public void setBottom(Extent newValue)

  Description copied from interface: `Positionable`
  Sets the bottom Y position of the component

  Specified by:
    `setBottom` in interface `Positionable`
  See Also:
    `Positionable.setBottom(nextapp.echo2.app.Extent)`

### setLeft

    public void setLeft(Extent newValue)

  Description copied from interface: `Positionable`
  Set the left X position of the component

  Specified by:
    `setLeft` in interface `Positionable`
  See Also:
    `Positionable.setLeft(nextapp.echo2.app.Extent)`

### setPosition

    public void setPosition(int newPositioning)

  Description copied from interface: `Positionable`
  Sets the position of the component This can be one of :
  - POSITIONING_STATIC
  - POSITIONING_RELATIVE
  - POSITIONING_ABSOLUTE
  - POSITIONING_FIXED

  Specified by:
    `setPosition` in interface `Positionable`
  See Also:
    `Positionable.setPosition(int)`

### setRight

    public void setRight(Extent newValue)

  Description copied from interface: `Positionable`
  Sets the right X position of the component

  Specified by:
    `setRight` in interface `Positionable`
  See Also:
    `Positionable.setRight(nextapp.echo2.app.Extent)`

### setTop

    public void setTop(Extent newValue)

  Description copied from interface: `Positionable`
  Sets the top Y position of the component

  Specified by:
    `setTop` in interface `Positionable`
  See Also:
    `Positionable.setTop(nextapp.echo2.app.Extent)`

### setZIndex

    public void setZIndex(int newValue)

  Description copied from interface: `Positionable`
  Sets the z-index of the component

  Specified by:
    `setZIndex` in interface `Positionable`
  See Also:
    `Positionable.setZIndex(int)`

### getScrollBarPolicy

    public int getScrollBarPolicy()

  Description copied from interface: `Scrollable`
  Returns the ScrollBarPolicy in place This can be one of :
  - NONE
  - ALWAYS
  - AUTO
  - CLIPHIDE

  Specified by:
    `getScrollBarPolicy` in interface `Scrollable`
  See Also:
    `Scrollable.getScrollBarPolicy()`

### getScrollBarBaseColor

    public Color getScrollBarBaseColor()

  Description copied from interface: `Scrollable`
  Returns the base color of the ScrollBarProperties associated with this `Scrollable`

  Specified by:
    `getScrollBarBaseColor` in interface `Scrollable`
  Returns:
    the base color of the ScrollBarProperties associated with this `Scrollable`
  See Also:
    `Scrollable.getScrollBarBaseColor()`

### getScrollBarProperties

    public ScrollBarProperties getScrollBarProperties()

  Description copied from interface: `Scrollable`
  Returns the ScrollBarProperties associated with this `Scrollable`

  Specified by:
    `getScrollBarProperties` in interface `Scrollable`
  Returns:
    the ScrollBarProperties associated with this `Scrollable`
  See Also:
    `Scrollable.getScrollBarProperties()`

### setScrollBarPolicy

    public void setScrollBarPolicy(int newScrollBarPolicy)

  Description copied from interface: `Scrollable`
  Sets the scroll bar policy of the component This can be one of :
  - SCOLLBARS_NONE
  - SCOLLBARS_ALWAYS
  - SCOLLBARS_AUTO
  - CLIPHIDE

  Specified by:
    `setScrollBarPolicy` in interface `Scrollable`
  See Also:
    `Scrollable.setScrollBarPolicy(int)`

### setScrollBarBaseColor

    public void setScrollBarBaseColor(Color newValue)

  Description copied from interface: `Scrollable`
  Sets the base color of the ScrollBarProperties associated with this `Scrollable`. If no ScrollBarProperties is available, then a new one should be created.

  Specified by:
    `setScrollBarBaseColor` in interface `Scrollable`
  Parameters:
    `newValue` - - the new base color of ScrollBarProperties to use
  See Also:
    `Scrollable.setScrollBarBaseColor(nextapp.echo2.app.Color)`

### setScrollBarProperties

    public void setScrollBarProperties(ScrollBarProperties newValue)

  Description copied from interface: `Scrollable`
  Sets the ScrollBarProperties associated with this `Scrollable`

  Specified by:
    `setScrollBarProperties` in interface `Scrollable`
  Parameters:
    `newValue` - - the new ScrollBarProperties to use
  See Also:
    `Scrollable.setScrollBarProperties(echopointng.able.ScrollBarProperties)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD